import { stringify } from 'qs';
import request from '../utils/request';
import { resources, resource, signature } from '../utils/api';

export async function getSignature (params) {
  return request(`${signature}?${stringify(params)}`);
}

export async function query (params) {
  return request(`${resources}?${stringify(params)}`);
}

export async function create(params) {
  const options = {
    method: 'POST',
    body: JSON.stringify(params),
  };
  return request(`${resource.replace('/:id', '')}`, options);
}

export async function remove ({ id }) {
  const options = { method: 'DELETE' };
  return request(`${resource.replace('/:id', `/${id}`)}`, options);
}

export async function update(params) {
  const options = {
    method: 'PUT',
    body: JSON.stringify(params),
  };
  return request(`${resource.replace('/:id', '')}`, options);
}
